Subject: Re: dtc: Use libfdt/fdt.h instead of flat_dt.h

From: David Gibson <[email-masked]>
Date: Fri, 28 Sep 2007 00:17:21 +1000

On Thu, Sep 27, 2007 at 08:26:14AM -0500, Jon Loeliger wrote:
> So, like, the other day David Gibson mumbled:
> > In the dtc tree, both flat_dt.h and libfdt/fdt.h have structures and
> > constants relating to the flattened device tree format derived from
> > asm-powerpc/prom.h in the kernel.  The former is used in dtc, the
> > latter in libfdt.
> > 
> > libfdt/fdt.h is the more recent, revised version, so use that
> > throughout, removing flat_dt.h.
> > 
> > Signed-off-by: David Gibson <[email-masked]>
> 
> Applied.
> 
> As instructed, I also ignored this patch:
>     dtc: Use a custom name for lexer output

Ta.

In not too long, I expect to have a series of patches getting libfdt
ready for use in the kernel.  A new patch with various makefile
cleanups including the lexer name patch will be part of that.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson